window.Gleam.initSearch([{"doc":"glatus","title":"glatus","content":"# glatus\n\nGleam bindings to the API of the Gatus health check tool.\n\n[![Package Version](https://img.shields.io/hexpm/v/glatus)](https://hex.pm/packages/glatus)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/glatus/)\n\n```sh\ngleam add glatus\n```\n```gleam\nimport glatus\nimport gleam/httpc\n\npub fn main() {\n  // Build a request\n  let request =\n    glatus.statuses_request(host: &quot;status.lpil.uk&quot;, page: 1)\n\n  // Send the request with a HTTP client\n  let assert Ok(response) = httpc.send(request)\n\n  // Decode the response\n  let information = glatus.handle_statuses_response(response)\n}\n```\n\nDocumentation can be found at &lt;https://hexdocs.pm/glatus&gt;.\n","url":"index.html"},{"doc":"glatus","title":"ConditionResult","content":"pub type ConditionResult {\n  ConditionResult(condition: String, success: Bool)\n}\n\nConditionResult(condition: String, success: Bool)\n\n\nSynonyms:\nglatus.ConditionResult\nglatus ConditionResult","url":"glatus.html#ConditionResult"},{"doc":"glatus","title":"Endpoint","content":"pub type Endpoint {\n  Endpoint(\n    name: String,\n    key: String,\n    results: List(StatusResult),\n    events: List(StatusEvent),\n  )\n}\n\nEndpoint(\n  name: String,\n  key: String,\n  results: List(StatusResult),\n  events: List(StatusEvent),\n)\n\nevents\n&lt;p&gt;This field is not populated by the &lt;code&gt;/api/v1/endpoints/statuses&lt;/code&gt; endpoint.\nIt is populated by then &lt;code&gt;/api/v1/endpoints/:key/statuses&lt;/code&gt; endpoint.&lt;/p&gt;\n\nSynonyms:\nglatus.Endpoint\nglatus Endpoint","url":"glatus.html#Endpoint"},{"doc":"glatus","title":"Error","content":"pub type Error {\n  UnexpectedResonse(status: Int, body: String)\n  UnexpectedPayload(json.DecodeError)\n}\n\nUnexpectedResonse(status: Int, body: String)\n\n\nUnexpectedPayload(json.DecodeError)\n\n\nSynonyms:\nglatus.Error\nglatus Error","url":"glatus.html#Error"},{"doc":"glatus","title":"StatusEvent","content":"pub type StatusEvent {\n  StatusEvent(type_: StatusEventType, timestamp: String)\n}\n\nStatusEvent(type_: StatusEventType, timestamp: String)\n\n\nSynonyms:\nglatus.StatusEvent\nglatus StatusEvent","url":"glatus.html#StatusEvent"},{"doc":"glatus","title":"StatusEventType","content":"pub type StatusEventType {\n  Start\n  Healthly\n  Unhealthly\n}\n\nStart\n\n\nHealthly\n\n\nUnhealthly\n\n\nSynonyms:\nglatus.StatusEventType\nglatus StatusEventType","url":"glatus.html#StatusEventType"},{"doc":"glatus","title":"StatusResult","content":"pub type StatusResult {\n  StatusResult(\n    status: Int,\n    hostname: String,\n    duration: Int,\n    condition_results: List(ConditionResult),\n    success: Bool,\n    timestamp: String,\n  )\n}\n\nStatusResult(\n  status: Int,\n  hostname: String,\n  duration: Int,\n  condition_results: List(ConditionResult),\n  success: Bool,\n  timestamp: String,\n)\n\n\nSynonyms:\nglatus.StatusResult\nglatus StatusResult","url":"glatus.html#StatusResult"},{"doc":"glatus","title":"endpoint_decoder","content":"pub fn endpoint_decoder() -&gt; Decoder(Endpoint)\n\nSynonyms:\nglatus.endpoint_decoder\nglatus endpoint_decoder","url":"glatus.html#endpoint_decoder"},{"doc":"glatus","title":"endpoint_request","content":"pub fn endpoint_request(\n  host host: String,\n  endpoint_key key: String,\n  page page: Int,\n) -&gt; Request(String)\n Create a request to fetch the status information from a specific `Endpoint`.\n\n Send this request with a HTTP client such as `gleam_httpc` or `gleam_fetch`\n and handle the result with the `handle_endpoint_response` function.\n\nSynonyms:\nglatus.endpoint_request\nglatus endpoint_request","url":"glatus.html#endpoint_request"},{"doc":"glatus","title":"endpoints_decoder","content":"pub fn endpoints_decoder() -&gt; Decoder(List(Endpoint))\n Decode a list of `Endpoint`s.\n\nSynonyms:\nglatus.endpoints_decoder\nglatus endpoints_decoder","url":"glatus.html#endpoints_decoder"},{"doc":"glatus","title":"handle_endpoint_response","content":"pub fn handle_endpoint_response(\n  response: Response(String),\n) -&gt; Result(Endpoint, Error)\n Check and decode a response from the `/api/v1/endpoints/statuses` endpoint.\n\nSynonyms:\nglatus.handle_endpoint_response\nglatus handle_endpoint_response","url":"glatus.html#handle_endpoint_response"},{"doc":"glatus","title":"handle_statuses_response","content":"pub fn handle_statuses_response(\n  response: Response(String),\n) -&gt; Result(List(Endpoint), Error)\n Check and decode a response from the `/api/v1/endpoints/statuses` endpoint.\n\nSynonyms:\nglatus.handle_statuses_response\nglatus handle_statuses_response","url":"glatus.html#handle_statuses_response"},{"doc":"glatus","title":"statuses_request","content":"pub fn statuses_request(\n  host host: String,\n  page page: Int,\n) -&gt; Request(String)\n Create a request to fetch a list of all `Endpoint`s from a Gatus instance.\n\n Send this request with a HTTP client such as `gleam_httpc` or `gleam_fetch`\n and handle the result with the `handle_statuses_response` function.\n\nSynonyms:\nglatus.statuses_request\nglatus statuses_request","url":"glatus.html#statuses_request"},{"doc":"glatus","title":"glatus","content":"","url":"glatus.html"}]);